Skip to main content
PATCH

Update selected modifiable attribute of a user resource described by the User message.

Authorizations

httpAuth

string
required
HTTP bearer authentication. Send the token as Authorization: Bearer <token>. Ledger API standard JWT token

apiKeyAuth

string
required
API key authentication in the header. Ledger API standard JWT token (websocket)

Path parameters

string
required

Body

application/json
object
required
OpenAPI type: User.Users and rights ///////////////// Users are used to dynamically manage the rights given to Daml applications. They are stored and managed per participant node.
object
required
OpenAPI type: FieldMask.An update mask specifies how and which properties of the User message are to be updated. An update mask consists of a set of update paths. A valid update path points to a field or a subfield relative to the User message. A valid update mask must: 1. contain at least one update path, 2. contain only valid update paths. Fields that can be updated are marked as Modifiable. An update path can also point to a non-Modifiable fields such as ‘id’ and ‘metadata.resource_version’ because they are used: 1. to identify the user resource subject to the update, 2. for concurrent change control. Examples of valid update paths: ‘primary_party’, ‘metadata’, ‘metadata.annotations’. For additional information see the documentation for standard protobuf3’s google.protobuf.FieldMask. For similar Ledger API see com.daml.ledger.api.v2.admin.UpdatePartyDetailsRequest. Required

Responses

200

application/json
User
required
Users and rights ///////////////// Users are used to dynamically manage the rights given to Daml applications. They are stored and managed per participant node.

400

Invalid value, Invalid value for: body
text/plain
string
required

default

application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean

History

Updated3.5

The PATCH /v2/users/{user-id} operation was updated in this snapshot.

Added3.4